<template>
  <wd-cell class="h_64" custom-icon-class="mt_20" clickable>
    <template #title>
      <view>
        <text class="font-medium">
          {{ user.nickName }}
          <text class="text-[#0D867F] text-xs">·{{ user.roleName }}</text>
        </text>
      </view>
      <view>
        <text class="font-medium text-[#3D3D3D] text-sm">工号: {{ user.userName }}</text>
      </view>
    </template>
    <view class="mt-2">
      <wd-icon name="arrow-right" size="16px" color="#8C8C8C"></wd-icon>
    </view>
  </wd-cell>
</template>
<script setup lang="ts">
import { useUserStore } from "@/store/modules/user";
import { nextTick } from "vue";
const userStore = useUserStore();
const userInfo: any = computed(() => userStore.userInfo);
const user = reactive({
  nickName: "",
  userName: "",
  roleName: "",
});

onLoad(() => {
  nextTick();
  user.nickName = userInfo.value.user?.nickName;
  user.userName = userInfo.value.user?.userName;
  user.roleName = userInfo.value.user?.roles[0].roleName;
});
</script>
<style lang="scss" scoped>
.calling_card {
  background: #fff;
  border-radius: 8px 8px 8px 8px;
}

.h_64 {
  height: 64px;
}
.mt_20 {
  margin-top: 20px;
}
</style>
